import request from '@/plugin/axios'
//消费各种统计

//商户消费统计
export function consumStatisticsPage (data) {
  return request({
    url: '/consumDetail/getConsumStatistics',
    method: 'post',
    data
  })
}
//个人消费统计
export function personalConsumStatisticsPage (data) {
  return request({
    url: '/consumDetail/getPersonalConsumStatistics',
    method: 'post',
    data
  })
}

//充值统计
export function getMchargeRecords (data) {
  return request({
    url: '/mchargerecords/getMchargeRecords',
    method: 'post',
    data
  })
}

//充值记录
export function getRechargeRecord (data) {
  return request({
    url: '/mchargerecords/getRechargeRecord',
    method: 'post',
    data
  })
}

//消费记录
export function getConsumptionRecord (data) {
  return request({
    url: '/consumDetail/getConsumptionRecord',
    method: 'post',
    data
  })
}
//商户树
export function TreeNodeMt (data) {
  return request({
    url: '/tree/getMerchantTree',
    method: 'post',
    data
  })
}

//补贴发放统计
export function getSubsidiesStatistics (data) {
  return request({
    url: '/subsidies/getSubsidiesStatistics',
    method: 'post',
    data
  })
}
